SolrDocumentList (Solr 3.6.2 API)
Keywords: org.apache.solr.common.SolrDocumentList class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.common
Class SolrDocumentList

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.ArrayList<SolrDocument>
                  org.apache.solr.common.SolrDocumentList

All Implemented Interfaces:
  Serializable, Cloneable, Iterable<SolrDocument>, Collection<SolrDocument>, List<SolrDocument>, RandomAccess

    public class SolrDocumentList

extends ArrayList<SolrDocument>

Represent a list of SolrDocuments returned from a search. This includes position and offset information.

Since:
  solr 1.3
Version:
  $Id: SolrDocumentList.java 1065312 2011-01-30 16:08:25Z rmuir $
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`SolrDocumentList()`

Method Summary
`Float` | `getMaxScore()`
`long` | `getNumFound()`
`long` | `getStart()`
`void` | `setMaxScore(Float maxScore)`
`void` | `setNumFound(long numFound)`
`void` | `setStart(long start)`
`String` | `toString()`

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, removeAll, retainAll`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, removeAll, retainAll, subList`

Constructor Detail

### SolrDocumentList

    public SolrDocumentList()

Method Detail

### getMaxScore

    public Float getMaxScore()

### setMaxScore

    public void setMaxScore(Float maxScore)

### getNumFound

    public long getNumFound()

### setNumFound

    public void setNumFound(long numFound)

### getStart

    public long getStart()

### setStart

    public void setStart(long start)

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractCollection<SolrDocument>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD